PHP-инклюдинг в SazCart

Дата публикации:
06.11.2006
Дата изменения:
12.05.2008
Всего просмотров:
1131
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Sazcart 1.x
Уязвимые версии: SazCart 1.5, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре _saz[settings][shippingfolder]" в сценарии admin/controls/cart.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/[sazcart PATH]/admin/controls/cart.php?_saz[settings][shippingfolder]=[file]

URL производителя: sazcart.com/site/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: SazCart <= 1.5 (cart.php) Remote File Include Vulnerability

или введите имя

CAPTCHA